<bugID>411591<Summary>expose frecency as a sort order for place queries</Summary><Description>expose frecency as a sort order for place queries.

something along the lines nsINavHistoryQueryOptions.SORT_BY_FRECENCY_DESCENDING / ASCENDING.  

this could be useful for extension authors or for people wanting to do interesting things with place: queries.

note:  

in our search term builder (at some point) we want to have ui for all (or most) of our query options, but having "Frecency" in the UI is going to be tough to localize.

spun off from bug #411293</Description></bugID>